##约定大于配置，请勿重复造轮
server:                                                #服务端口
  port: 8083
##spring----------
spring:
  application:
    name: zwyy
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    #url: jdbc:h2:./test;AUTO_SERVER=TRUE              #连接池Database 嵌入模式：jdbc:h2:~/test-jooq  FILE_LOCK=SOCKET MODE=MySQL;;AUTO_SERVER=TRUE
#    url: jdbc:h2:./test;MODE=MySQL;AUTO_SERVER=TRUE
#    username: sa
#    password:
#    hikari:
#      driver-class-name: org.h2.Driver
#    url: jdbc:postgresql://192.168.0.123:5434/ailt_test
#    username: postgres
#    password: mysecretpassword
#    hikari:
#      driver-class-name: org.postgresql.Driver
    url: jdbc:mariadb://mariadb:3306/yx
    username: root
    password: test000000
    hikari:
      driver-class-name: org.mariadb.jdbc.Driver
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai
#    serialization:
#      fail-on-empty-beans: false
#    deserialization:
#      FAIL_ON_UNKNOWN_PROPERTIES: false
  mail:
    #smtp服务主机  qq邮箱则为smtp.qq.com
    host: smtp.qcloudmail.com
    port: 465
    #服务协议
    protocol: smtp
    # 编码集
    default-encoding: UTF-8
    #发送邮件的账户
    username: ic@is.plus
    #授权码
    password: 365daydayUP
    test-connection: true
    properties:
      mail:
        smtp:
          auth: true
          ssl:
            enable: true
          starttls:
            enable: true
            required: true
#  h2:
#    console:
#      enabled: true                                    #开启h2数据库的浏览器管理界面
#      settings:
#        web-allow-others: true
#        trace: true                                    #是否可以远程web
      #path: /h2-console                               #h2浏览器管理访问路径，默认：/h2-console
#  sql:
#    init:
#      mode: never                                      ##加载脚本datasource.initialize已弃用,spring.sql.init.mode=never/always
#      continue-on-error: true                          #初始化错误，继续执行
#      encoding: utf-8                                  #加载sql文件的编码连接池ue                            #初始化错误，继续执行
#      data-locations: classpath:/sql/data-h2.sql
#      schema-locations: classpath:/sql/schema-h2.sql   #spring boot 默认启动使用springJDBC初始化数据脚本, 加载类路径下的 schema-${platform}.sql \ data-${platform}.sql数据
#      platform: h2
  #elasticsearch:
    #jest:
      #uris: http://loalhost:9200
      #read-timeout: 1000
# 多数据源
# app:
#  datasource:
#    type: com.zaxxer.hikari.HikariDataSource
#    jdbcUrl: jdbc:h2:~/test-jooq;AUTO_SERVER=TRUE
#    username: sa
#    password:
#    ##连接池
#    hikari:
#      driver-class-name: org.h2.Driver

mybatis:
  configuration:
    call-setters-on-nulls: true
    map-underscore-to-camel-case: false

logging:
  level:
    root: info
#    org.jooq: debug
#    org.springframework.amqp: debug
#    org.mybatis: debug
#    org.mybatis.dynamic.sql: debug
#    jj.tech.dcang: debug


